[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AbandonSignalHandler

Abandon the signal handler

## Declaration

Source position: sysutils.pp line 61

`procedure AbandonSignalHandler(`
`RtlSigNum: Integer`
`);`

## Description

AbandonSignalHandler tells the system routines that they should not re-install the signal handler for signal RtlSigNum under any circumstances. Normally, signal handlers are re-set when they are called. If AbandonSignalHandler has been called for a signal that is handled by the system code, the signal will not be re-set again.

Documentation generated on: Feb 26 2014